PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_spotrs | ( | PLASMA_enum | uplo,
|  | int | N,
|  | int | NRHS,
|  | float * | A,
|  | int | LDA,
|  | float * | B,
|  | int | LDB
| ) |  |

PLASMA_spotrs - Solves a system of linear equations A * X = B with a symmetric positive definite (or Hermitian positive definite in the complex case) matrix A using the Cholesky factorization A = U**T*U or A = L*L**T computed by PLASMA_spotrf.

Parameters

  [in] | uplo | = PlasmaUpper: Upper triangle of A is stored; = PlasmaLower: Lower triangle of A is stored.
  [in] | N | The order of the matrix A. N >= 0.
  [in] | NRHS | The number of right hand sides, i.e., the number of columns of the matrix B. NRHS >= 0.
  [in,out] | A | The triangular factor U or L from the Cholesky factorization A = U**T*U or A = L*L**T, computed by PLASMA_spotrf. Remark: If out-of-place layout translation is used, the matrix A can be considered as input, however if inplace layout translation is enabled, the content of A will be reordered for computation and restored before exiting the function.
  [in] | LDA | The leading dimension of the array A. LDA >= max(1,N).
  [in,out] | B | On entry, the N-by-NRHS right hand side matrix B. On exit, if return value = 0, the N-by-NRHS solution matrix X.
  [in] | LDB | The leading dimension of the array B. LDB >= max(1,N).

Returns

Return values

  PLASMA_SUCCESS | successful exit
  <0 | if -i, the i-th argument had an illegal value

See also
  PLASMA_spotrs_Tile
  PLASMA_spotrs_Tile_Async
  PLASMA_cpotrs
  PLASMA_dpotrs
  PLASMA_spotrs
  PLASMA_spotrf